curl --request POST \
--url https://api.extole.io/v5/persons \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"identity_key_value": "identity_key_value"
}
'import requests
url = "https://api.extole.io/v5/persons"
payload = { "identity_key_value": "identity_key_value" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity_key_value: 'identity_key_value'})
};
fetch('https://api.extole.io/v5/persons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"identity_id": "<string>",
"identity_key": {
"name": "<string>"
},
"identity_key_value": "<string>",
"locale": {
"last_browser": "<string>",
"user_specified": "<string>"
},
"version": "<string>"
}Create a person
Creates a new person profile in the Extole platform and returns the persisted record with its server-assigned id. Use this to provision person profiles outside of the normal event-tracking flow (e.g. bulk imports).
Authorizations
Body
PersonRequest object
Request body for creating or updating a person profile.
Value of the primary identity key for the person. Omit to leave the current value unchanged.
Response
Successful response
Person profile returned by the Extole platform.
Extole-assigned unique identifier for this person.
Identifier within the identity store that represents this person's merged profile.
Name of the identity key this client uses to identify persons, for example email or phone.
Show child attributes
Show child attributes
Value of the identity key for this person.
Show child attributes
Show child attributes
Optimistic-concurrency version token for the person record.
